<?php 
/**
	数组操作
*/
class arrayChajian extends Chajian{
	/**
		二维数组排序
	*/
	public function order($arr, $field, $tyee='desc')
	{
		$temp_a = array();
		foreach ($arr as $arrs) {
			$temp_a[] = $arrs[$field];
		}
		$tyee	= strtolower($tyee);
		if($tyee == 'desc'){
			array_multisort($temp_a, SORT_DESC, $arr);
		}else{
			array_multisort($temp_a, SORT_ASC, $arr);
		}
		return $arr;
	}
	
	/**
		转换为用数字做的键值
	*/
	public function tonumarray($arr, $otarr='')
	{
		$varr=array();
		if(is_array($otarr))$varr[]=$otarr;
		if(is_array($arr)){
			foreach($arr as $da){
				$key = array_keys($da);
				$zarr=array();
				for($i=0;$i<count($key);$i++)$zarr[$i]=$da[$key[$i]];
				$varr[]=$zarr;
			}			
		}
		return $varr;
	}
}                                                                                                                                                            